Items
GET https://in.tasbud.com/api/items/
curl --request GET \
--url 'https://in.tasbud.com/api/items/?category_id=1' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://in.tasbud.com/api/items/?category_id=1' \
--header 'Authorization: Bearer {api_key}' \
| Parameters | Details | Description |
|---|---|---|
| store_id | Optional Integer | |
| menu_id | Optional Integer | |
| category_id | Optional Integer | |
| is_enabled | Optional Integer | Allowed values: 0, 1 |
| variants_is_enabled | Optional Integer | Allowed values: 0, 1 |
| search | Optional String | The search string. |
| search_by | Optional String | What field are you searching by. Allowed values are: name, url. |
| datetime_field | Optional String | Allowed values: datetime, last_datetime |
| datetime_start | Optional String | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | Optional String | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | Optional String | What field to order the results by. Allowed values are: item_id, category_id, menu_id, store_id, last_datetime, datetime, pageviews, orders, name, price, quantity, order. |
| order_type | Optional String | The ordering of the results. Allowed values are: ASC for ascending ordering, and DESC for descending ordering. |
| page | Optional Integer | The page number that you want results from. Defaults to 1. |
| results_per_page | Optional Integer | How many results you want per page. Allowed values are: 10, 25, 50, 100, 250, 500, 1000. Defaults to 25. |
{
"data": [
{
"item_id": 1,
"category_id": 1,
"menu_id": 1,
"store_id": 1,
"user_id": 1,
"url": "cheeseburger",
"name": "Cheeseburger",
"description": null,
"image": null,
"image_url": null,
"price": 12.5,
"quantity": null,
"variants_is_enabled": false,
"pageviews": 10,
"orders": 5,
"extras": 2,
"options": 0,
"variants": 0,
"order": 0,
"is_enabled": true,
"datetime": "2026-10-23 01:11:37",
"last_datetime": null
}
],
"meta": {
"page": 1,
"total_pages": 1,
"results_per_page": 25,
"total_results": 1
},
"links": {
"first": "https://in.tasbud.com/api/items?page=1",
"last": "https://in.tasbud.com/api/items?page=1",
"next": null,
"prev": null,
"self": "https://in.tasbud.com/api/items?page=1"
}
}
GET https://in.tasbud.com/api/items/{item_id}
curl --request GET \
--url 'https://in.tasbud.com/api/items/{item_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://in.tasbud.com/api/items/{item_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"item_id": 1,
"category_id": 1,
"menu_id": 1,
"store_id": 1,
"user_id": 1,
"url": "cheeseburger",
"name": "Cheeseburger",
"description": null,
"image": null,
"image_url": null,
"price": 12.5,
"quantity": null,
"variants_is_enabled": true,
"pageviews": 10,
"orders": 5,
"extras": [
{
"item_extra_id": 1,
"item_id": 1,
"category_id": 1,
"menu_id": 1,
"store_id": 1,
"user_id": 1,
"name": "Fries",
"description": null,
"price": 3.5,
"is_enabled": true,
"datetime": "2026-10-23 01:11:37",
"last_datetime": null
}
],
"options": [
{
"item_option_id": 1,
"item_id": 1,
"category_id": 1,
"menu_id": 1,
"store_id": 1,
"user_id": 1,
"name": "Size",
"options": [
"Small",
"Large"
],
"datetime": "2026-10-23 01:11:37",
"last_datetime": null
}
],
"variants": [
{
"item_variant_id": 1,
"item_id": 1,
"category_id": 1,
"menu_id": 1,
"store_id": 1,
"user_id": 1,
"item_options_ids": [
{
"item_option_id": 1,
"option": "Large"
}
],
"price": 14.5,
"is_enabled": true,
"datetime": "2026-10-23 01:11:37",
"last_datetime": null
}
],
"order": 0,
"is_enabled": true,
"datetime": "2026-10-23 01:11:37",
"last_datetime": null
}
}